Open times the customer can book from their quote link
GET
/v1/share/{token}/booking
const url = 'https://api.vocapable.com/v1/share/example/booking';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/share/example/booking \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
Token
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceShareBookingSlots
What a customer sees when their quote link offers booking.
object
available
required
Available
boolean
company_name
required
Company Name
string
duration_minutes
required
Duration Minutes
integer
timezone
required
Timezone
string
slots
required
Slots
Array<object>
WorkspaceMeetingSlotobject
start
required
Start
string format: date-time
end
required
End
string format: date-time
Example
{ "booking_status": "draft"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}